// SPDX-License-Identifier: Apache-2.0
import LogService from "../../app/service/log/LogService";
export default class TransactionAdapter {
    logTransaction(id, network) {
        const HASHSCAN_URL = `https://hashscan.io/${network}/transactionsById/`;
        const HASHSCAN_TX_URL = `https://hashscan.io/${network}/tx/`;
        const msg = `\nYou can see your transaction at ${id.startsWith("0x") ? HASHSCAN_TX_URL : HASHSCAN_URL}${id}\n`;
        LogService.logInfo(msg);
        console.log(msg);
    }
}
